﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication285.ViewModel;


namespace WpfApplication285
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        VM vm = new VM();
        public MainWindow()
        {
            InitializeComponent();
           
            layoutroot.DataContext = vm;
        }

        private void catxaxis_SizeChanged(object sender, SizeChangedEventArgs e)
        {
            tb1.Text += e.ToString() + "\n ";
        }

        private void btn1_Click(object sender, RoutedEventArgs e)
        {
            if (chart1.Series[0].Visibility == System.Windows.Visibility.Visible)
            {
                chart1.Series[0].Visibility = System.Windows.Visibility.Collapsed;
            }
            else chart1.Series[0].Visibility = System.Windows.Visibility.Visible;
            chart1.UpdateLayout();

        }

        private void btn2_Click(object sender, RoutedEventArgs e)
        {
            foreach (Data d in vm.ChartData1)
            {
                d.Total += 5;
            }
          chart1.UpdateLayout();
        }
    }
}
